Bug 207890 - net/ipxe: Unbreak build on HEAD
Summary: net/ipxe: Unbreak build on HEAD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://beefy4.nyi.freebsd.org/data/he...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-10 20:14 UTC by Tobias Kortkamp
Modified: 2016-03-12 14:10 UTC (History)
2 users (show)

See Also:


Attachments
ipxe.diff (647 bytes, patch)
2016-03-10 20:14 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
ipxe-typescript (62.80 KB, text/plain)
2016-03-10 20:19 UTC, Tobias Kortkamp
no flags Details
Poudriere testport log FreeBSD 10.2/i386 (80.09 KB, text/x-log)
2016-03-10 20:29 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-03-10 20:14:50 UTC
Created attachment 167976 [details]
ipxe.diff

by using the port version of objcopy.
Comment 1 Tobias Kortkamp freebsd_committer 2016-03-10 20:19:17 UTC
Created attachment 167977 [details]
ipxe-typescript

I currently don't have a 11.0-CURRENT host, so I'm submitting a typescript of the build in a VM instead of a Poudriere log.
Comment 2 Tobias Kortkamp freebsd_committer 2016-03-10 20:29:36 UTC
Created attachment 167978 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 3 Kurt Jaeger freebsd_committer 2016-03-11 21:58:52 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2016-03-11 21:59:18 UTC
A commit references this bug:

Author: pi
Date: Fri Mar 11 21:58:40 UTC 2016
New revision: 410842
URL: https://svnweb.freebsd.org/changeset/ports/410842

Log:
  net/ipxe: unbreak build on HEAD...

  ...by using the port version of objcopy

  PR:		207890
  Submitted by:	Tobias Kortkamp <t@tobik.me> (maintainer)

Changes:
  head/net/ipxe/Makefile
Comment 5 Ed Maste freebsd_committer 2016-03-12 01:41:25 UTC
I'm curious if this port was previously broken on HEAD for a reason other than the objcopy issue here; the switch to ELF Tool Chain tools passed an exp-run before I committed it.

I'll see if I can figure out what's happening here.
Comment 6 Ed Maste freebsd_committer 2016-03-12 14:10:17 UTC
(In reply to Ed Maste from comment #5)

I found at least one problem: the linker scripts in ipxe create a subtly broken ELF object with overlapping sections and ELF Tool Chain objcopy does not handle this. I'll see about getting a fix upstream and/or making our objcopy more tolerant, but agree that using the ports objcopy is reasonable.